commit:     67e6738903f81616c87eeca8522a3a218aadfaf5
Author:     Nils Freydank <holgersson <AT> posteo <DOT> de>
AuthorDate: Mon Mar  2 22:24:37 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Mar 16 21:25:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67e67389

dev-libs/liborcus: Bump to 0.15.3

This bump also contains some ebuild maintenance:
- switching from backslashes to arrays
- adding a * in front of the live ebuild numbers (*9999)

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Nils Freydank <holgersson <AT> posteo.de>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-libs/liborcus/Manifest               |  1 +
 dev-libs/liborcus/liborcus-0.15.3.ebuild | 59 ++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-libs/liborcus/Manifest b/dev-libs/liborcus/Manifest
index e358a2fd14f..a5b0fbb5526 100644
--- a/dev-libs/liborcus/Manifest
+++ b/dev-libs/liborcus/Manifest
@@ -1 +1,2 @@
 DIST liborcus-0.14.1.tar.xz 1894680 BLAKE2B 
0070baf319bf35275f36f3082141f154404ad43d8143588b35c00b8b536f0c1cf5bf38fd9e997c4be45a454f16de1cc1a25186da40e3ed0606a87e9a6a968053
 SHA512 
a32dc5a652ce99cff37273c38fb9460e13e7bfb562f40c8d0c79b65c33e340daaeeb2c796308ca700b85bfc13cc8215641563b9e9f6d44b7d61adb8e8a3c950f
+DIST liborcus-0.15.3.tar.xz 1988748 BLAKE2B 
c011b7dabd1743e0f47518dbc900cd00fba046c7ad178d60116103307565bfe5ea6759752706715fe0ece4d31575b3453c193c1a5e92f8f9a4475e252d4564ae
 SHA512 
bb5495a64ac5f984e107feb36dfe5c801d2ce7e2fcbee8f8bc779d87001e1fcb1d1f70ee2695eb976f1553c59908a15f887ceeb7ccfc556d4476ea846c5036f2

diff --git a/dev-libs/liborcus/liborcus-0.15.3.ebuild 
b/dev-libs/liborcus/liborcus-0.15.3.ebuild
new file mode 100644
index 00000000000..91bbf3019d2
--- /dev/null
+++ b/dev-libs/liborcus/liborcus-0.15.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit python-single-r1
+
+DESCRIPTION="Standalone file import filter library for spreadsheet documents"
+HOMEPAGE="https://gitlab.com/orcus/orcus/blob/master/README.md";
+
+if [[ ${PV} == *9999* ]]; then
+       EGIT_REPO_URI="https://gitlab.com/orcus/orcus.git";
+       inherit git-r3 autotools
+else
+       SRC_URI="https://kohei.us/files/orcus/src/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0/0.15" # based on SONAME of liborcus.so
+IUSE="python +spreadsheet-model static-libs tools"
+
+RDEPEND="
+       dev-libs/boost:=[zlib(+)]
+       sys-libs/zlib
+       python? ( ${PYTHON_DEPS} )
+       spreadsheet-model? ( >=dev-libs/libixion-0.15.0:= )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/mdds-1.5.0:1
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       [[ ${PV} == *9999 ]] && eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-werror
+               $(use_enable python)
+               $(use_enable spreadsheet-model)
+               $(use_enable static-libs static)
+               $(use_with tools)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -type f -delete || die
+}

Reply via email to